%define major 0
%define libname %mklibname bt %major
# fwang: we don't use libbt-devel because it is already occupied by libbt
%define develname %mklibname -d blackbox

Summary:  	A Window Manager for the X Window System
Name:		blackbox
Version:	0.70.1
Release:	%mkrel 11
License:	GPL
Group:		Graphical desktop/Other
URL:		http://blackboxwm.sourceforge.net/
Source:		blackbox-%{version}.tar.bz2
Source1:	blackbox.xdg
Source3:	blackbox.png
Source4:	blackbox32.png
Source5:	blackbox-startblackbox
Patch0:		blackbox-0.70.1-gcc43.patch
Requires:	desktop-common-data
BuildRequires:	X11-devel 
BuildRequires:  locales-en
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%libname = %version-%release

%description
This is a window manager for X.  It is similar in many respects to
such popular packages as Window Maker, Enlightenment, and FVWM2.  You
might be interested in this package if you are tired of window managers
that are a heavy drain on your system resources, but you still want
an attractive and modern-looking interface.
.
The best part of all is that this program is coded in C++, so it
is even more attractive "under the hood" than it is in service -- no
small feat.
.
If none of this sounds familiar to you, or you want your computer to
look like Windows 98, you probably don't want this package.

%package -n %libname
Group:		Graphical desktop/Other
Summary:	Library files for blackbox

%description -n %libname
This package contains library fiiles needed for blackbox.

%package -n %develname
Group:		Development/X11
Summary:	Developemnt files provided by blackbox
Provides:	%{name}-devel = %version-%release
Requires:	%libname = %version-%release
Conflicts:	%name < 0.70.1-6

%description -n %develname
This package contains developemnt files provided by blackbox.

%prep
%setup -q
%patch0 -p1 -b .gcc43

%build
export LANG="en_US" LC_ALL="en_US"
%configure2_5x --enable-kde --enable-nls --enable-shared --disable-static

%if %mdkversion >= 200700
%make DEFAULT_MENU=%{_sysconfdir}/menu.d/%name
%else
%make DEFAULT_MENU=%{_sysconfdir}/X11/blackbox/blackbox-menu
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
%makeinstall

#mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
#install -m755 $RPM_BUILD_ROOT%{_bindir}/* $RPM_BUILD_ROOT%{_prefix}/bin/
# and removing the files from _bindir if they are not packaged; otherwise
# the rpm checking makes the building of the package fail -- pablo
#rm -f $RPM_BUILD_ROOT%{_bindir}/*

install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sysconfdir}/menu.d/%{name}

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/%{name}
touch $RPM_BUILD_ROOT%_sysconfdir/X11/%{name}/%{name}-menu

install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_miconsdir}/blackbox.png
install -m644 %{SOURCE4} -D $RPM_BUILD_ROOT%{_iconsdir}/blackbox.png

# bsetroot is an alternative for the one in fluxbox
mv $RPM_BUILD_ROOT%{_bindir}/bsetroot $RPM_BUILD_ROOT%{_bindir}/bsetroot-blackbox


rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a \
        $RPM_BUILD_ROOT/%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/05blackbox << EOF
NAME=BlackBox
ICON=blackbox.png
EXEC=%{_bindir}/blackbox
DESC=A Light but nice looking window manager
SCRIPT:
exec %{_bindir}/startblackbox
EOF

install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/bin/startblackbox


%find_lang %{name}

%post
%{update_desktop_database}
%{make_session}

#blackbox-alternatives
update-alternatives --install %{_bindir}/bsetroot bsetroot %{_bindir}/bsetroot-%name 10

%postun
%{clean_desktop_database}
%{make_session}

# Remove bsetroot-alternatives
if [ "$1" = 0 ]; then
update-alternatives --remove bsetroot %{_bindir}/bsetroot-%name
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%config(noreplace) %{_sysconfdir}/menu.d/%{name}
%config(noreplace) %{_sysconfdir}/X11/%{name}/%{name}-menu
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/05blackbox
%{_bindir}/*
%{_datadir}/blackbox
%{_iconsdir}/blackbox.png
%{_miconsdir}/blackbox.png
%{_mandir}/man1/*

%files -n %libname
%_libdir/*.so.%{major}*

%files -n %develname
%_libdir/*.so
%_includedir/bt
%{_libdir}/pkgconfig/libbt.pc


%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.70.1-11mdv2009.0
+ Revision: 266244
- rebuild early 2009.0 package (before pixel changes)

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.70.1-10mdv2009.0
+ Revision: 209679
- added a gcc43 patch from fedora

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.70.1-9mdv2009.0
+ Revision: 201078
- fix non-xdg menu generation

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.70.1-8mdv2008.1
+ Revision: 148060
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Funda Wang <fundawang@mandriva.org> 0.70.1-8mdv2008.0
+ Revision: 82432
- fix requires of libname

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.70.1-7mdv2008.0
+ Revision: 79748
- fix post/postun script

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.70.1-6mdv2008.0
+ Revision: 79741
- Rebuild to provide shared lib, remove static lib


* Wed Aug 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-30 20:08:27 (58871)
- 0.70.1-5mdv2007.0
- close bug: #24934
- close bug: #24935

* Wed Aug 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-30 20:02:28 (58869)
- import blackbox-0.70.1-4mdv2007.0

* Tue Aug 29 2006 Jerome Soyer <saispo@mandriva.org> 0.70.1-4mdv2007.0
- Close Bug #19341

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 0.70.1-3mdv2007.0
- Final switch to XDG menu

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 0.70.1-2mdk
- Remove conflicts with libbt

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 0.70.1-1mdk
New release 0.70.1

* Sun Oct 16 2005 Olivier Thauvin <nanardon@mandriva.org> 0.70.0-1mdk
- 0.70.0

* Thu Aug 04 2005 Marcel Pol <mpol@mandriva.org> 0.65-7mdk
- fix postun script, forgot fi

* Thu Aug 04 2005 Marcel Pol <mpol@mandriva.org> 0.65-6mdk
- make bsetroot an alternative (bug #4396)

* Sat Jul 23 2005 Pascal Terjan <pterjan@mandriva.org> 0.65.0-5mdk
- use /usr/lib/menu instead of /usr/lib/menu or it will fail on x86_64

* Thu Mar 31 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 0.65.0-4mdk
- fixed font encoding problem with 8bit encodings
  (bug #10215), fix from Roman Shiryaev
- converted spec file to utf-8

* Thu Jul 08 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.65.0-3mdk
- rebuild with gcc 3.4
- BuildRequires: locales-en

* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.65.0-2mdk
- work around nls build problem (from Matthias Saou's package)
- Patch for #include <cassert> in Window.cc (P0 from Matthias Saou's package)
- drop useless prefix tag and use /usr macro in stead
- macroize

